@import "base.css";

/* Fix user-agent */

* {
	box-sizing: border-box;
}

html {
	font-weight: 300;
	-webkit-font-smoothing: antialiased;
}

html,
body {
	height: 100%;
	margin: 0;
	padding: 0;
}

/* Pages */

.pages {
	height: 100%;
	margin: 0;
	padding: 0;
	width: 100%;
}

.page {
	height: 100%;
	position: absolute;
	width: 100%;
}

/* Login Page */

.login.page {
	background-color: #000;
}

.login.page .form {
	margin: -100px 0;
	position: absolute;
	text-align: center;
	top: 50%;
	width: 100%;
}

.login.page .form .username-input {
	background-color: transparent;
	border: none;
	border-bottom: 2px solid #fff;
	outline: none;
	text-align: center;
	width: 400px;
}

.login.page .form .username-input:invalid {
	border: 1px solid red;
	border-radius: 5px;
}

.login.page .title {
	font-size: 200%;
	padding: 0 15px;
}

.box-submit {
	display: flex;
	justify-content: center;
	align-items: stretch;
}

.login.page .username-input {
	font-size: 200%;
}

.login.page .title,
.login.page .username-input {
	color: #fff;
	font-weight: 100;
}

button.enter {
	background-color: #000;
	color: #fff;
	border: 2px solid #fff;
	border-color: #fff;
	border-radius: 5px;
	font-size: 200%;
	margin-left: 0.5rem;
	padding: 12px 19px;
}

button.enter:hover {
	cursor: crosshair;
	color: red;
	border-color: red;
}

@media only screen and (max-width: 750px) {
	.login.page .form .username-input {
		width: 350px;
		font-size: 150%;
	}
	.login.page .title {
		font-size: 150%;
	}
	.login.page .username-input {
		font-size: 150%;
	}
	button.enter {
		font-size: 150%;
		margin-left: 5px;
	}
}

@media only screen and (max-width: 650px) {
	.login.page .form .username-input {
		width: 60%;
		font-size: 130%;
	}
	.login.page .title {
		font-size: 130%;
	}
	.login.page .username-input {
		font-size: 130%;
	}
	button.enter {
		font-size: 130%;
		margin-left: 0.5rem;
	}
}
